Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.triangulate.quadedge
Class QuadEdgeTriangle

    java.lang.Object
      com.vividsolutions.jts.triangulate.quadedge.QuadEdgeTriangle

public class QuadEdgeTriangle
extends java.lang.Object

Models a triangle formed from `Quadedge`s in a `Subdivision`. Provides methods to access the topological and geometric properties of the triangle. Triangle edges are oriented CCW.

Version:
  1.0
Author:
  Martin Davis

Constructor Summary
`QuadEdgeTriangle(QuadEdge[] edge)`

Method Summary
`boolean` | `contains(Coordinate pt)`
`static boolean` | `contains(QuadEdge[] tri, Coordinate pt)` Tests whether the point pt is contained in the triangle defined by 3 `QuadEdge`es.
`static boolean` | `contains(Vertex[] tri, Coordinate pt)` Tests whether the point pt is contained in the triangle defined by 3 `Vertex`es.
`QuadEdgeTriangle` | `getAdjacentTriangleAcrossEdge(int edgeIndex)`
`int` | `getAdjacentTriangleEdgeIndex(int i)`
`Coordinate` | `getCoordinate(int i)`
`Coordinate[]` | `getCoordinates()`
`QuadEdge` | `getEdge(int i)`
`int` | `getEdgeIndex(QuadEdge e)` Gets the index for the given edge of this triangle
`int` | `getEdgeIndex(Vertex v)` Gets the index for the edge that starts at vertex v.
`QuadEdge[]` | `getEdges()`
`void` | `getEdgeSegment(int i, LineSegment seg)`
`Geometry` | `getGeometry(GeometryFactory fact)`
`QuadEdgeTriangle[]` | `getNeighbours()` Gets the neighbours of this triangle.
`java.util.List` | `getTrianglesAdjacentToVertex(int vertexIndex)`
`Vertex` | `getVertex(int i)`
`Vertex[]` | `getVertices()` Gets the vertices for this triangle.
`boolean` | `isBorder()` Tests whether this triangle is adjacent to the outside of the subdivision.
`boolean` | `isBorder(int i)`
`boolean` | `isLive()`
`void` | `kill()`
`static int` | `nextIndex(int index)` Finds the next index around the triangle.
`static Geometry` | `toPolygon(QuadEdge[] e)`
`static Geometry` | `toPolygon(Vertex[] v)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuadEdgeTriangle

    public QuadEdgeTriangle(QuadEdge[] edge)

Method Detail

### contains

    public static boolean contains(Vertex[] tri,
                                   Coordinate pt)

  Tests whether the point pt is contained in the triangle defined by 3 `Vertex`es.

  Parameters:
    `tri` - an array containing at least 3 Vertexes
    `pt` - the point to test
  Returns:
    true if the point is contained in the triangle

### contains

    public static boolean contains(QuadEdge[] tri,
                                   Coordinate pt)

  Tests whether the point pt is contained in the triangle defined by 3 `QuadEdge`es.

  Parameters:
    `tri` - an array containing at least 3 QuadEdges
    `pt` - the point to test
  Returns:
    true if the point is contained in the triangle

### toPolygon

    public static Geometry toPolygon(Vertex[] v)

### toPolygon

    public static Geometry toPolygon(QuadEdge[] e)

### nextIndex

    public static int nextIndex(int index)

  Finds the next index around the triangle. Index may be an edge or vertex index.

  Parameters:
    `index` -
  Returns:

### kill

    public void kill()

### isLive

    public boolean isLive()

### getEdges

    public QuadEdge[] getEdges()

### getEdge

    public QuadEdge getEdge(int i)

### getVertex

    public Vertex getVertex(int i)

### getVertices

    public Vertex[] getVertices()

  Gets the vertices for this triangle.

  Returns:
    a new array containing the triangle vertices

### getCoordinate

    public Coordinate getCoordinate(int i)

### getEdgeIndex

    public int getEdgeIndex(QuadEdge e)

  Gets the index for the given edge of this triangle

  Parameters:
    `e` - a QuadEdge
  Returns:
    the index of the edge in this triangle

### getEdgeIndex

    public int getEdgeIndex(Vertex v)

  Gets the index for the edge that starts at vertex v.

  Parameters:
    `v` - the vertex to find the edge for
  Returns:
    the index of the edge starting at the vertex

### getEdgeSegment

    public void getEdgeSegment(int i,
                               LineSegment seg)

### getCoordinates

    public Coordinate[] getCoordinates()

### contains

    public boolean contains(Coordinate pt)

### getGeometry

    public Geometry getGeometry(GeometryFactory fact)

### toString

    public java.lang.String toString()

### isBorder

    public boolean isBorder()

  Tests whether this triangle is adjacent to the outside of the subdivision.

  Returns:
    true if the triangle is adjacent to the subdivision exterior

### isBorder

    public boolean isBorder(int i)

### getAdjacentTriangleAcrossEdge

    public QuadEdgeTriangle getAdjacentTriangleAcrossEdge(int edgeIndex)

### getAdjacentTriangleEdgeIndex

    public int getAdjacentTriangleEdgeIndex(int i)

### getTrianglesAdjacentToVertex

    public java.util.List getTrianglesAdjacentToVertex(int vertexIndex)

### getNeighbours

    public QuadEdgeTriangle[] getNeighbours()

  Gets the neighbours of this triangle. If there is no neighbour triangle, the array element is `null`

  Returns:
    an array containing the 3 neighbours of this triangle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD